/***************************************************************************
 *   Copyright (C) 2008 by Robin Atwood   *
 *   robin@binro.org   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef CONSTANTS_H
#define CONSTANTS_H

// Gentoo specific directories used by services

static const char SERVDIR[] = "/etc/init.d/";
static const char RLVLDIR[] = "/etc/runlevels/";
static const char STATDIR1[] = "/var/lib/init.d/";
static const char STATDIR2[] = "/lib/rc/init.d/";
static const char STATDIR3[] = "/run/openrc/";
static const char BASELVL[] = "/etc/gentoo-release";

static const char BOOTCRIT[] = " checkroot hostname modules checkfs localmount clock ";
static const char RLVLCRIT[] = " boot default single shutdown sysinit ";

static const char bgColor[] = "#1F2B35";

// Simple class to hold the to hold the service status

class KrcStatus
{
public:
	QStringList inactive;
	QStringList started;
	QStringList starting;
	QStringList stopping;
};

class KrcColors
{
public:
	QString inactive;
	QString started;
	QString starting;
	QString stopped;
	QString stopping;
	QString unused;
	QString failed;
	QString broken;
};

#endif
