/***************************************************************************
 *   Copyright (C) 2008 by Robin Atwood   *
 *   robin@binro.org   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "krcallview.h"

KrcAllView::KrcAllView( QWidget *parent, const int base )
 : QTreeWidget( parent )
{ 
	QStringList labels;
	
	labels <<  "Service" << "Status" << "Daemon" << "Runlevel";
	if ( base > 1 )
	{
		 labels << "Description";
	}

  setHeaderLabels( labels );
  setAllColumnsShowFocus( true );
	setAlternatingRowColors( true );
  setRootIsDecorated( false );
	setColumnWidth( 0, 150 );
	setContextMenuPolicy( Qt::CustomContextMenu );
	setSortingEnabled( true );
	setUniformRowHeights( true );
	setAcceptDrops( true );
}


KrcAllView::~KrcAllView()
{
}


