/***************************************************************************
 *   Copyright (C) 2008 by Robin Atwood   *
 *   robin@binro.org   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KRCLISTVIEW_H
#define KRCLISTVIEW_H

#include <QTreeView>
#include <QDrag>
//Added by qt3to4:
#include <QPixmap>
#include <QMouseEvent>

#include <kiconloader.h>
#include <klocale.h>
#include <kglobalsettings.h>

/**
Sub-class QListView to add DND events

	@author Robin Atwood <robin@binro.org>
*/
#include <QTreeWidget>
class KrcListView : public QTreeWidget
{
	Q_OBJECT
	
public:
  KrcListView( QWidget *parent = 0 );

  ~KrcListView();

protected:
	void mousePressEvent( QMouseEvent *me );
	void mouseMoveEvent( QMouseEvent *me );

private:
	bool m_dragStart;
	QPixmap *m_minipx;
	QPoint m_startPos;		

};


#endif
