/***************************************************************************
 *   Copyright (C) 2008 by Robin Atwood   *
 *   robin@binro.org   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include <krcmainview.h>

KrcMainView::KrcMainView( QWidget *parent )
 : QSplitter(parent)
{
	m_svcView = new KrcListView( this );
	m_rlvlTab = new KTabWidget( this );
	m_rightPane = new QSplitter( Qt::Vertical );
	
	m_rightPane->addWidget( m_rlvlTab );

  factory = KPluginLoader("libkonsolepart").factory();
	if ( factory > 0 )
	{ 
		m_part = static_cast<KParts::ReadOnlyPart *>(factory->create<QObject>(this, this));
		if ( m_part > 0 )
		{
			m_term = qobject_cast<TerminalInterface*>( m_part );
			setFocusProxy( m_part->widget() );
			m_part->widget()->show();
			m_rightPane->addWidget( m_part->widget() );
		}
	}
	
	addWidget( m_svcView );
	addWidget( m_rightPane );

	m_rlvlTab->setTabPosition( QTabWidget::South );
	m_rlvlTab->setTabShape( QTabWidget::Triangular );
}

KrcMainView::~KrcMainView()
{
}
