/***************************************************************************
 *   Copyright (C) 2008 by Robin Atwood   *
 *   robin@binro.org   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KRCMAINVIEW_H
#define KRCMAINVIEW_H

#include <qsplitter.h>

#include <klocale.h>
#include <ktabwidget.h>
#include <krclistview.h>
#include <kde_terminal_interface.h>
#include <klibloader.h>
#include <kparts/part.h>

/**
App main view

	@author Robin Atwood <robin@binro.org>
*/
class KrcMainView : public QSplitter
{
	
public:
  KrcMainView(QWidget *parent = 0);
  ~KrcMainView();

	KrcListView *m_svcView;
	KTabWidget *m_rlvlTab;
	QSplitter *m_rightPane;
	TerminalInterface *m_term;
	KParts::Part* m_part;

private:
	KPluginFactory *factory;
};

#endif
