/***************************************************************************
 *   Copyright (C) 2008 by Robin Atwood   *
 *   robin@binro.org   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KRCRLVLVIEW_H
#define KRCRLVLVIEW_H

#include <QTreeWidget>
//Added by qt3to4:
#include <QDropEvent>
#include <QDragEnterEvent>

#include <klocale.h>

#include "constants.h"
#include "krcallview.h"
#include "krcservice.h"

class KrcStat;
class KrcAllView;

/**
	@author Robin Atwood <robin@binro.org>
*/
class KrcRlvlView : public QTreeWidget
{
	Q_OBJECT
	
public:
  KrcRlvlView( QWidget *parent, KrcStat * );

  ~KrcRlvlView();
  
  void load( const QString );
  
signals:
	void needRefresh();

protected:
	void dropEvent( QDropEvent* event );
	void dragEnterEvent( QDragEnterEvent* event );
	void dragMoveEvent( QDragMoveEvent* event );
	
private:
	bool createLink( QString );

	QString m_name;
	QStringList m_assigned;
	KrcStatus *m_runStatus;
	KrcColors *m_textColors;
	KrcStat *m_mw;
	KrcAllView *m_allView;
	KrcServiceList *m_services;
};

#endif
