/***************************************************************************
 *   Copyright (C) 2008 by Robin Atwood   *
 *   robin@binro.org   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "krcservice.h"

KrcService::KrcService()
{
	m_name = "";
	m_status = "";
	m_laststatus = "";
}

KrcService::KrcService( const QString &name )
{
	m_name = name;
	m_status = "";
	m_laststatus = "";
}

KrcService::~KrcService()
{
}

KrcServiceList::KrcServiceList()
{
}
	
KrcServiceList::~KrcServiceList()
{
}
	
// Directories are sorted so we can use a binary search to find
// a particular service.

KrcService* KrcServiceList::find( const QString &name  )
{
	uint l, m, n, N;
	N = this->count();
	l = 0; n = N;
	
	while ( l < n )
	{
		m = (l + n)/2;
		if ( (*this)[m].m_name.compare( name ) < 0 )
			l = m + 1;
		else
			n = m;
	}
	
	if ( l < N ) 
	{
		if ( (*this)[l].m_name.compare( name ) == 0 )
			return &(*this)[l];
		else
			return 0;
	}
	else
		return 0;
}

