/***************************************************************************
 *   Copyright (C) 2008 by Robin Atwood   *
 *   robin@binro.org   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KRCSERVICE_H
#define KRCSERVICE_H

#include <qstring.h>
#include <qstringlist.h>
#include <q3valuelist.h>

/**
	@author Robin Atwood <robin@binro.org>
*/
class KrcService
{

public:
	KrcService();
	
	KrcService( const QString &name );

	~KrcService();

	QString m_name;
	QString m_status;
	QString m_laststatus;
	QString m_cmd;
	QString m_desc;
	QString m_daemon;
	QString m_options;
	QStringList m_rlvls;
	
	QStringList *m_iuse; 
	QStringList *m_ineed;
	QStringList *m_usesme; 
	QStringList *m_needsme; 

};

class KrcServiceList : public Q3ValueList<KrcService>
{

public:
	KrcServiceList();
	
	~KrcServiceList();
	
	KrcService* find( const QString &  );
};

#endif
