/***************************************************************************
 *   Copyright (C) 2008 by Robin Atwood   *
 *   robin@binro.org   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "krcstat.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>

static const char description[] =
    I18N_NOOP("Gentoo runlevel management");

static const char version[] = "0.7.6";

int main(int argc, char **argv)
{
  KAboutData about("krcstat", 0, ki18n("KrcStat"), version, ki18n(description),
                   KAboutData::License_GPL, ki18n("(C) 2012, Robin Atwood"), 
									 KLocalizedString(), 0, "robin@binro.org");
  about.addAuthor( ki18n("Robin Atwood"), KLocalizedString(), "robin@binro.org" );

  KCmdLineArgs::init(argc, argv, &about);
  KCmdLineOptions options;
	KCmdLineArgs::addCmdLineOptions( options ); // Add our own options.
  KApplication app;

	// see if we are starting with session management
	if (app.isSessionRestored())
	{
		RESTORE(KrcStat);
	}
	else
	{
		// no session.. just start up normally
		KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
		KrcStat *widget = new KrcStat();
		widget->show();
		args->clear();
	}

	return app.exec();
}
