/***************************************************************************
 *   Copyright (C) 2008 by Robin Atwood   *
 *   robin@binro.org   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "optionsdialogimp.h"

#include <kcolorbutton.h>

optionsDialogImp::optionsDialogImp( QWidget *parent, KrcColors *textColors )
 : QDialog(parent)
{
	setupUi( this );
	okButton->setIcon(KIcon("dialog-ok"));
	cancelButton->setIcon(KIcon("dialog-cancel"));
	defButton->setIcon(KIcon("document-revert"));

	m_textColors = textColors;
	newTextColors = *m_textColors;
	inactiveButton->setColor( m_textColors->inactive );
	startedButton->setColor( m_textColors->started );
	startingButton->setColor( m_textColors->starting );
	stoppedButton->setColor( m_textColors->stopped );
	stoppingButton->setColor( m_textColors->stopping );
	unusedButton->setColor( m_textColors->unused );
	failedButton->setColor( m_textColors->failed );
	brokenButton->setColor( m_textColors->broken );
}


optionsDialogImp::~optionsDialogImp()
{
}

void optionsDialogImp::slotInactive( const QColor &newcol )
{
	newTextColors.inactive = newcol.name();
}

void optionsDialogImp::slotStarted( const QColor &newcol )
{
	newTextColors.started = newcol.name();
}

void optionsDialogImp::slotStarting( const QColor &newcol )
{
	newTextColors.starting = newcol.name();
}

void optionsDialogImp::slotStopped( const QColor &newcol )
{
	newTextColors.stopped = newcol.name();
}

void optionsDialogImp::slotStopping( const QColor &newcol )
{
	newTextColors.stopping = newcol.name();
}

void optionsDialogImp::slotUnused( const QColor &newcol )
{
	newTextColors.unused = newcol.name();
}

void optionsDialogImp::slotFailed( const QColor &newcol )
{
	newTextColors.failed = newcol.name();
}

void optionsDialogImp::slotBroken( const QColor &newcol )
{
	newTextColors.broken = newcol.name();
}

void optionsDialogImp::slotOK()
{
	*m_textColors = newTextColors;
	accept();
}

void optionsDialogImp::slotDefaults()
{
	newTextColors.inactive = QColor("gray").name();
	newTextColors.started = QColor("green").name();
	newTextColors.starting = QColor("darkGreen").name();
	newTextColors.stopped = QColor("red").name();
	newTextColors.stopping = QColor("yellow").name();
	newTextColors.unused = QColor("darkCyan").name();
	newTextColors.failed = QColor("magenta").name();
	newTextColors.broken = QColor("cyan").name();

	inactiveButton->setColor( newTextColors.inactive );
	startedButton->setColor( newTextColors.started );
	startingButton->setColor( newTextColors.starting );
	stoppedButton->setColor( newTextColors.stopped );
	stoppingButton->setColor( newTextColors.stopping );
	unusedButton->setColor( newTextColors.unused );
	failedButton->setColor( newTextColors.failed );
	brokenButton->setColor( newTextColors.broken );
}

#include "optionsdialogimp.moc"
