/***************************************************************************
 *   Copyright (C) 2008 by Robin Atwood   *
 *   robin@binro.org   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef OPTIONSDIALOGIMP_H
#define OPTIONSDIALOGIMP_H

#include <ui_krcoptions.h>
#include <constants.h>

/**
Implementation of the options ui.

	@author Robin Atwood <robin@binro.org>
*/
class optionsDialogImp : public QDialog, public Ui::optionsDialog
{
	Q_OBJECT

public:
  optionsDialogImp( QWidget *parent = 0, KrcColors *textColors = 0 );

  virtual ~optionsDialogImp();

public slots:
	void slotInactive( const QColor &newcol );
	void slotStarted( const QColor &newcol );
	void slotStarting( const QColor &newcol );
	void slotStopped( const QColor &newcol );
	void slotStopping( const QColor &newcol );
	void slotUnused( const QColor &newcol );
	void slotFailed( const QColor &newcol );
	void slotBroken( const QColor &newcol );
	void slotOK();
	void slotDefaults();

private:
	KrcColors *m_textColors;
	KrcColors newTextColors;
};

#endif
